# Business rules

The user can request to change the status of an order only if the order is not associated with a shipping method that automatically updates statuses. For example, this applies to orders where the "Method" property is not set to the "MarketplaceShipping" value.

{% hint style="info" %}
Some marketplaces do not allow to change the order status.
{% endhint %}

Please refer to the orders and shipping glossary section for more details.\
\
This endpoint will return an error and a descriptive message if the user tries to change the status of an order that cannot be updated through this method.\
\
The “tracking” section and its properties have no business rules engaged with any marketplace. This section is only informative.

{% hint style="danger" %}
It is not allowed to change the status of an order to "Cancelled" if the order originated from a marketplace. The only orders that can have their status changed to "Cancelled" are those created by the user using the [API POST orders endpoint](/v2/orders/post-methods/create-a-new-order.md).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/orders/put-methods/update-orders-status/business-rules.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
